package extnet

// IDs gets array of ExtNetIDs from ListExtNet struct
func (le ListExtNet) IDs() []uint64 {
	res := make([]uint64, 0, len(le.Data))
	for _, e := range le.Data {
		res = append(res, e.ID)
	}
	return res
}

// IDs gets array of StaticRouteIDs from ListStaticRoutes struct
func (lsr ListStaticRoutes) IDs() []uint64 {
	res := make([]uint64, 0, len(lsr.Data))
	for _, sr := range lsr.Data {
		res = append(res, sr.ID)
	}
	return res
}
